Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
04142 Interface Minor Always Dec 15, 2010, 01:44 Dec 20, 2010, 09:38
Tester Tafoid View Status Public Platform MAME (Self-compiled)
Assigned To micko Resolution Fixed OS Windows XP (32-bit)
Status [?] Resolved Driver
Version 0.140u2 Fixed in Version 0.140u3 Build Normal
Summary 04142: Multiple escapes keypresses needed to exit MAME
Description When using the Internal UI for MAME (i.e Starting mame from command prompt without any game name argument) - 3 ESC's are now required to completely leave MAME now.

The first ESC gets rid of the "EMPTY" gamename chosen (that is a bug in itself) and goes to the normal startup of "(RANDOM)"
The second ESC clears the screen to black and should exit MAME, but it sits there.
The third ESC finally exit MAME properly.
Steps To Reproduce
Additional Information
Flags
Regression Version 0.140u2
Affected Sets / Systems
Attached Files
 
Relationships
There are no relationship linked to this issue.
Notes
5
User avatar
No.06930
NekoEd
Senior Tester
Dec 18, 2010, 12:18
This affects SDLMAME as well.

In addition, if you've entered a game and exited back to the minimenu, the behavior is proper again; that is, the entry is "(random)" and exiting MAME requires only one press of ESC from this point.
User avatar
No.06931
hap
Developer
Dec 18, 2010, 18:20
cause: r10629

- Fixed issue with image empty slot [Miodrag Milanovic]
- Default for writeconfig is now 0 for MESS since it is not needed anymore
- Fixed handling of mounted devices on hard reset
- Unified some emuopts code, and removed ifdefs

Specifically, the minor change in mame.c
I'll forward the issue to miodragm.
User avatar
No.06945
ShimaPong
Tester
Dec 19, 2010, 15:50
I think it's not a bug but "design".

In the game selector, "UI Cancel" works as "Clear Text" if current has a text (In case of default text "empty_", it's the same as pressed Backspace 5 times)
So 1st pressed ESC clears text and replaces with "(random)".

If non-text, ESC works as standard "Close Menu". In pacman, if you pressed ESC with opened UI menu, menu is closed but MAME doesn't exit. It is the same.
After second ESC, only black screen. It means close the menu and return the "empty" game mode.
So if you press TAB key, standart UI menu will appear in black screen.

I guess the game selector is specified UI menu for the "game" called as "empty".

And menu item "exit" may be "Menu Exit" not "MAME Exit".
User avatar
No.06946
hap
Developer
Dec 19, 2010, 16:22
No, it's a regression by mistake, not added by design :)
miodragm will look at it this week
User avatar
No.06949
micko
Administrator
Dec 20, 2010, 09:38
This issue is now fixed in current SVN code.

Both were related to same thing, sorry I did not have time to fix this earlier.